Get Card

get/api/cards/{cardId}

Returns the non-sensitive details of a card by a given ID.

Request

Path Parameters

  • cardIdstringrequired

    Primary identifier of the card to fetch

Response

Successful operation.

Body application/json

  • idstringrequired

    Card primary identifier

  • accountIdstringrequired

    User account ID linked to card

  • typestringrequired
    Allowed values:virtualphysical

    Type of the card

  • createdAtstringrequired

    Timestamp of card creation

  • modifiedAtstringrequired

    Timestamp of card modification

  • expiresAtstringrequired

    Timestamp of card expiration

  • isBlockedbooleanrequired

    Whether the card is blocked

  • statusstringrequired
    Allowed values:activecancelledcreatedshipped

    Status of the card

  • fundingSourceIdsstring[]required

    List of Funding Source IDs linked to the card

  • cardProgramIdstringrequired

    ID of card program linked to the card

  • regionCodestringrequired

    An Alpha2 (ISO-3166-1) country code representing the country where the card is issued.

  • currencystring

    An ISO 4217 currency code representing the issuing currency of the card.

  • expirystring

    Expiry date of the card in the format YYYYMM

  • panFirst6string

    First 6 digits of the card's PAN (Primary Account Number)

  • panLast4string

    Last 4 digits of the card's PAN (Primary Account Number)

  • networkstring
    Allowed values:mastercardsimulator

    The payment network the card is issued on. The value simulator is returned for test-mode cards, which route through Immersve's simulator rather than a live network.

  • seriesIdstring

    Opaque identifier for the card's reissuance lineage. All cards in a reissuance chain share the same seriesId. Treat this value as opaque: do not assume any relationship to id or any other field.

    Use as the primaryAccountIdentifier when constructing an Apple Pay PKAddPaymentPassRequestConfiguration. PassKit uses this value to detect that a card is already present in the wallet even if the card was reissued.

  • immersveExpirationstring

    Deprecated field, use expiresAt

  • cancelReasonstring
    Allowed values:provisioning-faileduser-requestedexternal-provider-failedexpiredreissued

    Reason why the card was cancelled

  • successorCardIdstring

    The ID of the card that was reissued from this card.

  • reissuanceTypestring
    Allowed values:standard-renewal

    The reason this card was reissued.

  • trackingUrlstring

    URL to track the shipment of a physical card.

  • cardholderNamestring

    The cardholder's name as it should be displayed when adding the card to a digital wallet. Use as the cardholderName when constructing an Apple Pay PKAddPaymentPassRequestConfiguration.

  • unfreezeAllowedboolean

    Indicates whether the card can be unfrozen with the unfreeze endpoint